Bug 137866 - AX: [ATK] Accessible focus events are emitted when the selection is changed in non-focused combo boxes
Summary: AX: [ATK] Accessible focus events are emitted when the selection is changed i...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: All Linux
: P2 Normal
Assignee: Joanmarie Diggs (irc: joanie)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-10-19 13:55 PDT by Joanmarie Diggs (irc: joanie)
Modified: 2014-11-13 10:20 PST (History)
8 users (show)

See Also:


Attachments
Patch (7.10 KB, patch)
2014-10-19 14:12 PDT, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2014-10-19 13:55:45 PDT
When the selection is changed in a non-focused combo box (i.e. programmatically), erroneous accessible focus events are emitted:

1. The non-focused combo box claims focus.
2. The newly-selected option in that non-focused combo box claims focus.
Comment 1 Joanmarie Diggs (irc: joanie) 2014-10-19 14:12:43 PDT
Created attachment 240089 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2014-10-27 11:03:04 PDT
<rdar://problem/18782941>
Comment 3 WebKit Commit Bot 2014-11-13 10:20:41 PST
Comment on attachment 240089 [details]
Patch

Clearing flags on attachment: 240089

Committed r176076: <http://trac.webkit.org/changeset/176076>
Comment 4 WebKit Commit Bot 2014-11-13 10:20:45 PST
All reviewed patches have been landed.  Closing bug.